﻿Imports System.Globalization

Public Class SampleChart
    Private SelectedAnnotation As Steema.TeeChart.Tools.Annotation
    Private pointSeriesR, pointSeriesG As Steema.TeeChart.Styles.Points
    Private MinLeft, MaxLeft As Double
    WithEvents graphChart As Steema.TeeChart.TChart

    Private Sub PointSeriesBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PointSeriesBtn.Click
        graphChart = New Steema.TeeChart.TChart
        GrPanel.Controls.Add(graphChart)
        graphChart.Dock = DockStyle.Top
        graphChart.Width = 600
        graphChart.Height = 400
        graphChart.Walls.View3D = False
        graphChart.Walls.Visible = False
        graphChart.Aspect.View3D = False
        graphChart.Aspect.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality 'System.Drawing.Drawing2D.SmoothingMode.HighSpeed '
        graphChart.Aspect.TextRenderingHint = System.Drawing.Text.TextRenderingHint.ClearTypeGridFit
        graphChart.Walls.Back.Visible = False
        graphChart.Header.Text = "Graph " & GrPanel.Controls.Count
        graphChart.Axes.Bottom.Labels.DateTimeFormat = "mm:ss.ffff"
        Dim txtReader As New System.IO.StreamReader("C:\Users\Sandra\Downloads\SampleTeeCart\SampleTeeCart\SampleTeeCart\points.txt")
        Dim tmpStr As String()
        Dim d As Date
        graphChart.Axes.Bottom.OtherSide = False
        graphChart.Legend.Visible = True
        graphChart.Legend.LegendStyle = Steema.TeeChart.LegendStyles.Series
        pointSeriesR = New Steema.TeeChart.Styles.Points
        pointSeriesG = New Steema.TeeChart.Styles.Points
        While txtReader.Peek <> -1
            tmpStr = Split(txtReader.ReadLine, ",")
            pointSeriesR.XValues.DateTime = True
            pointSeriesG.XValues.DateTime = True
            pointSeriesR.Pointer.HorizSize = 8
            pointSeriesR.Pointer.VertSize = 10
            pointSeriesG.Pointer.HorizSize = 8
            pointSeriesG.Pointer.VertSize = 10
            d = tmpStr(1)
            If CDbl(tmpStr(2)) < 45 Then
                pointSeriesR.Pointer.Style = Steema.TeeChart.Styles.PointerStyles.Triangle
                pointSeriesR.Pointer.Series.Color = Color.Red
                pointSeriesR.Add(d, CDbl(tmpStr(2)))
                pointSeriesR.Title = tmpStr(0)
            Else
                pointSeriesG.Pointer.Style = Steema.TeeChart.Styles.PointerStyles.Circle
                pointSeriesG.Pointer.Series.Color = Color.Green
                pointSeriesG.Add(d, CDbl(tmpStr(2)))
                pointSeriesG.Title = tmpStr(0)
            End If

            graphChart.Series.Add(pointSeriesG)
            graphChart.Series.Add(pointSeriesR)
        End While
        txtReader.Close()
        graphChart.Axes.Left.SetMinMax(35, 45)
        graphChart.Draw()

        MinLeft = graphChart.Axes.Left.Minimum
        MaxLeft = graphChart.Axes.Left.Maximum

    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        graphChart.ShowEditor()
    End Sub

    Private Sub CheckBox1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox1.CheckedChanged

        If (CheckBox1.Checked) Then
            'See range 35 to 45 without axis grid for other values
            Dim min, max As Integer
            graphChart.Axes.Left.Labels.Items.Clear()
            min = 35
            max = 45
            graphChart.Axes.Left.Labels.Items.Add(min, min.ToString())
            graphChart.Axes.Left.Labels.Items.Add(max, max.ToString())
        Else
            'retunt to original values
            graphChart.Axes.Left.Labels.Items.Clear()
            For i As Integer = 0 To MaxLeft
                graphChart.Axes.Left.Labels.Items.Add(i, i.ToString())
            Next

        End If
    End Sub
End Class
